Campaigns
Select or clear a whole review group
Selects or clears every row of one selectable review group in one write and returns the recounted review. With search, only the rows of the group that search matches change, the same rows GET .../rows returns for it. Only a ready review can change (409 CSV_IMPORT_SESSION_NOT_READY).
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
importId*string
The CSV review session id returned by the upload.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/campaigns/import/sessions/string/selection" \ -H "Content-Type: application/json" \ -d '{ "category": "other_users", "selected": true }'{ "success": true, "data": { "importId": "6710b2c4e8a1d4e001a0b2e0", "status": "ready", "fileName": "contacts.csv", "totalRows": 3, "analyzedRows": 3, "counts": { "new": { "total": 1, "selected": 1 }, "existing": { "total": 0, "selected": 0 }, "outbound": { "total": 1, "selected": 1 }, "inbound": { "total": 0, "selected": 0 }, "other_users": { "total": 0, "selected": 0 }, "protected": { "total": 0, "selected": 0 }, "duplicate": { "total": 1, "selected": 0 }, "invalid": { "total": 0, "selected": 0 }, "outside_segments": { "total": 0, "selected": 0 } }, "segmentSelected": {}, "selectedTotal": 2, "campaignId": null, "error": null, "updated": 0 }}